aboutsummaryrefslogtreecommitdiffstats
path: root/main/libxmu/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/libxmu/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/libxmu/APKBUILD')
-rw-r--r--main/libxmu/APKBUILD24
1 files changed, 24 insertions, 0 deletions
diff --git a/main/libxmu/APKBUILD b/main/libxmu/APKBUILD
new file mode 100644
index 0000000000..13343d781f
--- /dev/null
+++ b/main/libxmu/APKBUILD
@@ -0,0 +1,24 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxmu
+pkgver=1.0.5
+pkgrel=0
+pkgdesc="X11 miscellaneous micro-utility library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="pkgconfig libxext-dev libxt-dev libx11-dev libsm-dev"
+source="http://xorg.freedesktop.org/releases/individual/lib/libXmu-$pkgver.tar.bz2"
+depends_dev="xproto libx11-dev libxt-dev libxext-dev"
+
+build ()
+{
+ cd "$srcdir"/libXmu-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 $srcdir/libXmu-$pkgver/COPYING \
+ $pkgdir/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="fc4d66be7a1a1eb474954728415e46d6 libXmu-1.0.5.tar.bz2"